Subject: Re: bug#79376: [PATCH] [WIP] Fix mm multibyte

From: Eli Zaretskii <[email-masked]>
Date: Sat, 13 Sep 2025 14:02:50 +0300

> From: Manuel Giraud <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sat, 13 Sep 2025 12:27:50 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I feel that we should take a step back and examine your original
> > problem in more detail.  In your OP, you said "I'm trying to fix an
> > issue in Gnus where some Atom sources (namely
> > planet.emacslife.com/atom.xml, here) are not rendered correctly", but
> > never told the details.  Can we please see those details?
> 
> Yes of course.  When I want to read an entry from
> planet.emacslife.com/atom.xml, the article buffer contains, for example,
> the following excerpt:
> 
> --8<---------------cut here---------------start------------->8---
> Roman Numerals. On the one hand, its hard to understand why anyone cares
> anymore. Some, like the late Rich Stevens considered them an anachronistic
> barbarism and labeled his books Volume 1, 2, & rather than the more
> conventional Volume I, II, &. Others continue to label volumes with the
> conventional Roman numerals and, of course, theres all those buildings with
> their erection date labeled, of course, with Roman numerals on their facade. 
> --8<---------------cut here---------------end--------------->8---
> 
> I expect to see : "On the one hand, it’s hard to understand..." and
> "books “Volume 1, 2, …” rather".  This is what I'm trying to fix here.
> 
> FWIW, I've opened the file which seems to have the content of an Atom
> source (here: ~/News/atom/planet.emacslife.com.atom.xml.eld) and this
> file is encoded in UTF-8 and such strings are displayed correctly.

Thanks, but this is not enough for me to understand the root cause(s).
Could you take me through the code involved in processing that text
until it gets to mm-copy-to-buffer, and tell what should be its
processing afterwards?

(If someone who knows the Gnus code reads this and has suggestions,
please feel free to chime in.  I'm only trying to help Manuel fix this
because no one else chimes in.)